=== debian/changelog ===
paraview (5.11.2+dfsg-6build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:16:11 +1100

paraview (5.11.2+dfsg-6build4) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:11:43 +0100

paraview (5.11.2+dfsg-6build3) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:33:58 +0000

paraview (5.11.2+dfsg-6build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:48:18 +0000

paraview (5.11.2+dfsg-6build1) noble; urgency=medium

  * Rebuild against latest gmsh

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:12:17 -0500

paraview (5.11.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-autobahn, python3-six, python3-twisted
    also from the paraview binary package.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jan 2024 16:09:30 +0100

paraview (5.11.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * drop Build-Depends: python3-autobahn, python3-twisted.
    Use of autobahn/twisted was dropped upstream in MR1630 (v5.4.0)
    in favour of wslink. Note Debian does not provide wslink, so no
    webserver communication via paraview.
  * drop deprecated Build-Depends: python3-six.
  * paraview-dev Depends: libgdal-dev. Closes: #754968.
    Needed by cmake config files for find_package(ParaView).

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 13:14:15 +0100

paraview (5.11.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian patch GmshIO_signed_char.patch sets GmshPrimitive as
    signed char to enable a negative value (-1) to represent
    unsupported cell types, since char is unsigned on many
    architectures (arm64 etc). See upstream issue #22413.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Dec 2023 12:04:48 +0100

paraview (5.11.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * add wildcards to lintian override for json-evil to work around a
    broken ftp-master configuration, which does not respect the current
    lintian syntax
  * debian/copyright: distinguish main paraview BSD-3-clause licence
    (naming Kitware) from VTK BSD-3-clause licence (naming Ken Martin,
    Will Schroeder, Bill Lorensen)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Dec 2023 16:05:58 +0100

paraview (5.11.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * add lintian override for license-problem-json-evil. The
    problematic source with the JSON licence would be
    bin/jsonchecker/, but it has already been removed from vtkfides
    source.
  * lintian fixes
    - add real alternative in Build-Depends: gnuplot-qt | gnuplot
    - fix vtkexpat Copyright entry in debian/copyright and update
      other entries

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Dec 2023 22:54:48 +0100

paraview (5.11.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - upstream source tarball prepared manually to include submodules
      (copy of VTK source). See debian/README.source
  * Add support for Adios2 (PARAVIEW_ENABLE_ADIOS2=ON)
    - 64-bit architectures only
    - Build-Depends: libadios2-mpi-c++11-dev
    - point the cmake search path at the mpi variant of Adios2
    - add debian/patches/adios2_v2.9_*.diff applying patches from
      upstream VTK git repo enabling build with adios2 v2.9
  * Enable GmshIO plugin for reading gmsh files. Closes: #1054159.
    - Build-Depends: libgmsh-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Dec 2023 23:45:45 +0100

paraview (5.11.0+dfsg-2) unstable; urgency=medium

  * Drop build-dep on libnetcdf-cxx-legacy-dev: Closes: #1037814
  * g++-13.patch:  FTBFS with g++ 13. Closes: #	1038602
  * Srandards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2023 16:11:56 +0100
